/*
 * Segment 8 Parametrierung und Konfiguration, SWE 8.2 Parametrierung - Bibliothek
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.puk.param.lib;

/**
 * Definitionen für die Parametrierungsanfragen über den Datenverteiler.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
final class ParametrierungsAnfrageDefs {

	/** Attributname für die Speicherung der Daten einer Parameteranfrage. */
	static final String ATT_NAME_DATEN = "Daten";

	/** Attributname für die Speicherung des Typs einer Parameteranfrage. */
	static final String ATT_NAME_ANFRAGE_TYP = "AnfrageTyp";

	/** Attributname für die Speicherung des Index einer Parameteranfrage. */
	static final String ATT_NAME_ANFRAGE_INDEX = "AnfrageIndex";

	/**
	 * Attributname für die Speicherung des Absenderobjekts einer
	 * Parameteranfrage.
	 */
	static final String ATT_NAME_ABSENDER = "Absender";

	/** versteckter Standardkonstruktor. */
	private ParametrierungsAnfrageDefs() {
		// wird nie verwendet und verhindert lediglich das Anlegen von Objekten
		// diesen Typs.
	}
}
